libetonyek::KEYXMLReader::AttributeIterator Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libetonyek::KEYXMLReader::AttributeIterator Class Reference

`#include <KEYXMLReader.h>`

## Public Member Functions
| AttributeIterator (const KEYXMLReader &reader)
bool | next ()
const char * | getName () const
const char * | getNamespace () const
const char * | getValue () const
int | getToken (const char *token) const

## Private Member Functions
bool | move ()
void | read ()
bool | test ()

## Private Attributes
Impl *const | m_impl
bool | m_first
bool | m_last

## Friends
class | KEYXMLReader

## Constructor & Destructor Documentation

libetonyek::KEYXMLReader::AttributeIterator::AttributeIterator | ( | const KEYXMLReader & | reader | ) |
| explicit

## Member Function Documentation

const char * libetonyek::KEYXMLReader::AttributeIterator::getName | ( |  | ) | const

Referenced by libetonyek::getNameId().

const char * libetonyek::KEYXMLReader::AttributeIterator::getNamespace | ( |  | ) | const

Referenced by libetonyek::getNamespaceId(), and libetonyek::KEY2Parser::processXmlNode().

int libetonyek::KEYXMLReader::AttributeIterator::getToken | ( | const char * | token | ) | const

Referenced by libetonyek::getNameId(), libetonyek::getNamespaceId(), and libetonyek::getValueId().

const char * libetonyek::KEYXMLReader::AttributeIterator::getValue | ( |  | ) | const

Referenced by libetonyek::getValueId(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2TableParser::parseCommonCellAttribute(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2TableParser::parseGridColumn(), libetonyek::KEY2TableParser::parseGridRow(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2TableParser::parseN(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2TableParser::parseS(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::processXmlNode(), libetonyek::KEY2StyleParser::readGeometry(), libetonyek::KEY2ParserUtils::readID(), libetonyek::readOnlyAttribute(), and libetonyek::KEY2ParserUtils::readPoint().

bool libetonyek::KEYXMLReader::AttributeIterator::move | ( |  | ) |
| private

bool libetonyek::KEYXMLReader::AttributeIterator::next | ( |  | ) |

Referenced by libetonyek::checkNoAttributes(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2TableParser::parseD(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2TableParser::parseDu(), libetonyek::KEY2TableParser::parseF(), libetonyek::KEY2TableParser::parseG(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2TableParser::parseGridColumn(), libetonyek::KEY2TableParser::parseGridRow(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2TableParser::parseN(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2TableParser::parseS(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2TableParser::parseT(), libetonyek::KEY2Parser::parseText(), libetonyek::PAGParser::parseTextStorage(), libetonyek::KEY2Parser::processXmlNode(), libetonyek::KEY2StyleParser::readGeometry(), libetonyek::KEY2ParserUtils::readID(), libetonyek::readOnlyAttribute(), and libetonyek::KEY2ParserUtils::readPoint().

void libetonyek::KEYXMLReader::AttributeIterator::read | ( |  | ) |
| private

bool libetonyek::KEYXMLReader::AttributeIterator::test | ( |  | ) |
| private

## Friends And Related Function Documentation

friend class KEYXMLReader
| friend

## Member Data Documentation

bool libetonyek::KEYXMLReader::AttributeIterator::m_first
| private

Impl* const libetonyek::KEYXMLReader::AttributeIterator::m_impl
| private

Referenced by AttributeIterator().

bool libetonyek::KEYXMLReader::AttributeIterator::m_last
| private

Referenced by AttributeIterator().

The documentation for this class was generated from the following files:

- KEYXMLReader.h
- KEYXMLReader.cpp